View Issue Details

IDProjectCategoryView StatusLast Update
0001551ArchFeaturepublic2015-04-27 14:11
Reporteryorik Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0001551: Arch - Advanced IFC support
DescriptionFeatures needed to the IFC importer/exporter

* Import

    01 Retrieve the base polyline of extrusions
    02 Retrieve the axis of walls
    03 Retrieve the colors
    04 Retrieve groups

* Export

    05 Export extruded ellipses
    06 Export extruded composite curves (lines + arcs)
    07 Separate openings
    08 Separate boolean additions
    09 Support groups
    10 Export axes of walls
TagsNo tags attached.
FreeCAD Information

Activities

yorik

2014-05-29 20:32

administrator   ~0004729

05 is done

yorik

2014-06-15 16:56

administrator   ~0004752

06 and 07 are done

yorik

2014-07-07 21:50

administrator   ~0004777

Add:

    11 Add a property to Arch objects to allow to force export as Brep

yorik

2014-09-14 15:56

administrator   ~0005100

08 and 11 are done

Add:

    12 Support import of IfcAnnotations containing 2D data (lines, etc).

yorik

2015-04-27 14:10

administrator   ~0006091

This is now all implemented, except wall axes, but it is apparently not used by any other app...

Issue History

Date Modified Username Field Change
2014-05-17 15:13 yorik New Issue
2014-05-17 15:13 yorik Status new => assigned
2014-05-17 15:13 yorik Assigned To => yorik
2014-05-29 20:30 yorik Description Updated View Revisions
2014-05-29 20:31 yorik Description Updated View Revisions
2014-05-29 20:31 yorik Description Updated View Revisions
2014-05-29 20:32 yorik Description Updated View Revisions
2014-05-29 20:32 yorik Note Added: 0004729
2014-06-15 16:56 yorik Note Added: 0004752
2014-07-06 15:22 yorik Project FreeCAD => Arch
2014-07-06 15:26 yorik Target Version => 0.15
2014-07-07 21:50 yorik Note Added: 0004777
2014-09-14 15:56 yorik Note Added: 0005100
2015-01-21 17:55 yorik Target Version 0.15 =>
2015-04-27 14:10 yorik Note Added: 0006091
2015-04-27 14:11 yorik Status assigned => closed
2015-04-27 14:11 yorik Resolution open => fixed
2015-04-27 14:11 yorik Fixed in Version => 0.16